#pragma once
#include "global.h"
class CPxaEditorGrid : public CDialog
{
	DECLARE_DYNAMIC(CPxaEditorGrid)
	DECLARE_MESSAGE_MAP()
public:
	CPxaEditorGrid(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CPxaEditorGrid();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CPXAEDITOR_GRID };
#endif
	int outGridW = 0;
	int outGridH = 0;
	int outInterArea = false;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnBnClickedOk();
private:
	//控件
	CEdit edit_grid_w;
	CEdit edit_grid_h;
	CButton check_interArea;
};

